| Home | Libraries | People | FAQ | More

## Class ptree_bad_path

boost::property_tree::ptree_bad_path — Error indicating that specified path does not exist. Derives from ptree_error.

## Synopsis

    // In header: <boost/property_tree/exceptions.hpp>

    class ptree_bad_path : public boost::property_tree::ptree_error {
    public:
      // construct/copy/destruct
      template<typename T> ptree_bad_path(const std::string &, const T &);
      ~ptree_bad_path();

      // public member functions
      template<typename T> T path() const;
    };

## Description

### `ptree_bad_path` public construct/copy/destruct

1.     template<typename T> ptree_bad_path(const std::string & what, const T & path);

   Instantiate a `ptree_bad_path` with the given message and path data.

   Parameters: |
   `path` | The path that could not be found in the property_tree.
   `what` | The message to associate with this error.

2.     ~ptree_bad_path();

### `ptree_bad_path` public member functions

1.     template<typename T> T path() const;

   Retrieve the invalid path. You need to explicitly specify the type of path.